# Official EODHD APIs Python Library
[Full documentation](https://eodhd.com/financial-apis/python-financial-libraries-and-code-samples/)

This is the official Python library developed by [EODHD](https://eodhd.com) for accessing various financial data via API in your code. If you have any feedback or questions, you can reach out to our support team, available 24/7 via live chat on [our website](https://eodhd.com).

To access our APIs, you need to register on our site (it’s free) and obtain an API key. Access to some data requires a subscription to one of [our paid plans](https://eodhd.com/pricing).

## List of supported data:

* End of the Day Historical Stock Market Data
* Live (Delayed) Stock Prices and Macroeconomic Data
* Bonds Fundamentals
* Intraday Historical Data
* Historical Dividends
* Historical Splits
* Bulk API for EOD, Splits and Dividends
* Calendar. Upcoming Earnings, Trends, IPOs and Splits
* Economic Events
* Stock Market and Financial News
* List of supported Exchanges
* Insider Transactions
* Macro Indicators
* Exchange API. Trading Hours, Stock Market Holidays, Symbols Change History
* Stock Market Screener
* Technical Indicator
* Historical Market Capitalization
* Fundamental Data: Stocks, ETFs, Mutual Funds, Indices and Cryptocurrencies

All functions are described in our [documentation](https://eodhd.com/financial-apis/python-financial-libraries-and-code-samples/).


## Installation

In short:

python3 -m pip install eodhd -U

If you have any difficulties, go to our full [documentation](https://eodhd.com/financial-apis/python-financial-libraries-and-code-samples/) with step by step instructions.

## Sample code and examples

The files below contain examples of available functions:

* example_api.py: describes the functions that can be used in the APIClient class.
* example_scanner.py: describes the functions that can be used in the ScannerClient class.
* example_websockets.py: describes the functions that can be used in the WebSocketClient class.


New features will be added to the example files. The most relevant functions can be viewed directly in the code files.
